predict 2.2.72020/10/18 17:08

amsat-bbからの情報。軌道計算ソフト:predictの最新版が公開されたので,コンパイルしたら「ncursesの広域変数を更新する箇所」でコケた。作者のジョンさんにコンタクトして,自分のマシンでもコンパイル可能な修正版をリリースしてもらった。

predict.c:6670:11: error: lvalue required as left operand of assignment
   ESCDELAY=50;  /* Reduce [ESC] response to 50 ms */
           ^
PREDICT compilation failed!  

同時にAndroid版もリリースされたが,Termux(Android用Linux環境)向けのソースだけで,Termux内に(ソフトキーボードを使って)コンパイル環境の構築から必要で,断念した。

本日の衛星: XW-2A, CAS-4Bで交信。

コメント

コメントをどうぞ

※メールアドレスとURLの入力は必須ではありません。 入力されたメールアドレスは記事に反映されず、ブログの管理者のみが参照できます。

名前:
メールアドレス:
URL:
コメント:

トラックバック

このエントリのトラックバックURL: http://jh4xsy.asablo.jp/blog/2020/10/18/9307095/tb